### Method

# Foundry LlmTool call

#### Declaration [src]

    DexFuture*
    foundry_llm_tool_call (
      FoundryLlmTool* self,
      const GValue* arguments,
      guint n_arguments
    )

#### Description [src]

Calls the tool.

`arguments` should be an array of initialized `GValue` which contain values set matching each of the parameters specified by `foundry_llm_tool_list_parameters()` in the same order.

#### Parameters

`arguments`

  Type: An array of `GValue`

  No description available.

  The length of the array is specified in the `n_arguments` argument.
  The data is owned by the caller of the method.

`n_arguments`

  Type: `guint`

  Number of values in `arguments`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmMessage` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.